<html lang="en">
<head>
<title>Transparency - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Options.html#Options" title="Options">
<link rel="prev" href="TikZ_002fPGF-user_002ddefined-styles.html#TikZ_002fPGF-user_002ddefined-styles" title="TikZ/PGF user-defined styles">
<link rel="next" href="Internal-options.html#Internal-options" title="Internal options">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Transparency"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Internal-options.html#Internal-options">Internal options</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="TikZ_002fPGF-user_002ddefined-styles.html#TikZ_002fPGF-user_002ddefined-styles">TikZ/PGF user-defined styles</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Options.html#Options">Options</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h5 class="subsubsection">3.1.5.5 Transparency</h5>

<p><a name="index-transparency-252"></a>Both <code>PSTricks</code> and <code>TikZ/PGF</code> support polygon options that
have the effect of making the polygon appear transparent.  For
<code>PSTricks</code>, keyword <code>transpalpha</code> was used during initial
development of transparency features, and <code>opacity</code> was adopted
later. <code>Sketch</code> honors both. <code>TikZ/PGF</code> uses <code>opacity</code> only. 
<a name="index-transpalpha-253"></a><a name="index-opacity-254"></a><a name="index-fill-opacity-255"></a>When transparent polygons are in the foreground, objects behind them
(drawn earlier) are visible with color subdued and tinted.  The hidden
surface algorithm of <code>sketch</code> works well with such transparent
polygons.

   <p>Note that <tt>cull=false</tt>
<a name="index-cull-256"></a>must be used for rear-facing polygons to be visible when positioned
behind other transparent surfaces.

   </body></html>

